<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('main-content'); ?>
    <?php echo $__env->make('layouts.account_banner',['title'=>"My Profile","image"=>asset('assets/img/profile_bg.jpg')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Content ================================================== -->
    <div class="container margin_60_35">
        <div class="row" id="order-summary">
            <div class="col-md-4">
                <div>
                    <p><a style= "background: #AE996E; color: white;" class="btn_side">Point Statistics</a></p>
                    <div class="box_style_1">
                        <table class="table table-striped cart-list">
                            <tbody>
                            <tr>
                                <td>
                                    <p>Total Current balance:</p>
                                </td>
                                <td>
                                    <strong><?php echo e(number_format($profile->Current_balance,2)); ?></strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>Blocked Points For <br>Submitted Auction Bids:</p>
                                </td>
                                <td>
                                    <strong><?php echo e(number_format($profile->Blocked_points,2)); ?></strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>Available Current Balance:</p>
                                </td>
                                <td>
                                    <strong><?php echo e(number_format(
                                    ($profile->Current_balance - $profile->Blocked_points),2)); ?></strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>Total Gained Points:</p>
                                </td>
                                <td>
                                    <strong><?php echo e(number_format($profile->Total_gained_points,2)); ?></strong>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>Total Redeemed:</p>
                                </td>
                                <td>
                                    <strong><?php echo e(number_format($profile->Total_redeem_points,2)); ?></strong>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                    </div><!-- End box_style_1 -->

                </div><!-- End col-md-3 -->
            </div>
            <div class="col-md-7">
                <div class="box_style_2" id="order_process">
                    <h2 style="background: #332C20;" class="inner2">Profile Details</h2>
                    <form action="" id="profile-form">
                        <div class="row">
                            <div class="col-md-6">
                                <input style="border-radius: 3px;" type="text" class="form-control"
                                       placeholder="First Name"
                                       id="first_name"
                                       value="<?php echo e($profile->First_name); ?>">
                            </div>
                            <div class="col-md-6">
                                <div class="styled-select">
                                    <select class="form-control" name="country_id" id="country_id">
                                        <option value="1">Nigeria</option>
                                    </select>
                                </div>
                                <!-- <button style="width: 100%; height: 100%;background: #808080" class="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Country</button> -->
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-6">
                                <input style="border-radius: 3px;" type="text"
                                       id="last_name"
                                       value="<?php echo e($profile->Last_name); ?>"
                                       class="form-control" placeholder="Last Name">
                            </div>
                            <div class="col-md-6">
                                <div class="styled-select">
                                    <select class="form-control" name="state_id" id="state_id">
                                        <option value="" >State</option>
                                        <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($state->State_id); ?>"
                                                    <?php echo e($state->State_id==$profile->State_id?"selected":""); ?>

                                                    ><?php echo e($state->State_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <!-- <button style="width: 100%; height: 100%; background: #808080" class="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">State</button> -->
                            </div>
                        </div> <br>
                        <div class="row">
                            <div class="col-md-6">
                                <input style="border-radius: 3px;" type="text" class="form-control"
                                       value="<?php echo e($profile->Phone_no); ?>"
                                       id="phone_no"
                                       placeholder="Phone Number">
                            </div>
                            <div class="col-md-6">
                                <div class="styled-select">
                                    <select class="form-control" name="city_id" id="city_id">
                                        <option value="" >City</option>
                                        <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($city->City_id); ?>"
                                                    <?php echo e($city->City_id==$profile->City_id?"selected":""); ?>

                                                    ><?php echo e($city->City_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <!-- <button style="width: 100%; height: 100%; background: #808080" class="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">City</button> -->
                            </div>
                        </div> <br>
                        <div class="row">
                            <div class="col-md-12" >
                                <textarea style="height: 100px" type="text"
                                          class="form-control" id="address" name="address" placeholder="Address"><?php echo e($profile->Current_address); ?>

                                </textarea>
                            </div>
                        </div><br>
                        <div class="row">
                        <a style="background: #332C20;" class="btn_full5" href="#0"
                                         data-toggle="modal" data-target="#login_2">Change Password</a>

                        </div>
                        <hr class="styled">
                        <div style="text-align:right; margin-top: -30px;">
                        <button type="submit" id="submit-btn" style="width: 200px;background: #AE996E"
                                class="btn btn-submit ">Update Profile</button>
                    </div>
                    </form>

                </div><!-- End box_style_1 -->
            </div><!-- End col-md-6 -->

            <div class="col-md-3"></div>
        </div><!-- End row -->
    </div><!-- End container -->
    <div class="modal fade" id="login_2" tabindex="-1" role="dialog" aria-labelledby="myLogin" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content modal-popup">
                <div class="row">
                
                    <div class="col-md-12">
                            <a href="#" class="close-link"><i style="color:  #808080" class="icon_close_alt2"></i></a>
                            <form action="#" class="popup-form" id="changePasswordForm">
                                <h2 style="color: #AE996E;">Change Password</h2>
                                <input type="password" class="form-control form-white"
                                id="current_password"
                                placeholder="Current Password">
                                <input type="password" 
                                id="new_password"
                                class="form-control form-white" placeholder="New Password">
                                <input type="password"
                                id="password_confirmation"
                                class="form-control form-white" placeholder="Confirm Password">
                                <button style="margin-top: 0;" type="submit"
                                 id="change-password-btn"
                                class="btn btn-submit change-submit">Change Password</button>
                            </form>
                    </div>
                </div>
				
			</div>
		</div>
	</div><!-- End modal -->  
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <script>
        $('#profile-form').submit(function(e){
            e.preventDefault();
            let first_name = $('#first_name').val();
            let last_name = $('#last_name').val();
            let address = $('#address').val();
            let city_id = $('#city_id').val();
            let state_id = $('#state_id').val();
            let country_id = $('#country_id').val();
            let phone_no = $('#phone_no').val();

            if(first_name != "" && last_name!="")
            {
                $('#submit-btn').attr("disabled",true);
                $('#submit-btn').html("Updating...");
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('profile')); ?>",
                    data:{first_name,last_name,phone_no,address,state_id,country_id,city_id},
                    success:function(data){
                        if(data.status === 1)
                        {
                            $('#submit-btn').attr("disabled",false);
                            $('#submit-btn').html("Update Profile");
                            toastr.success(data.message, 'Success Alert', {timeOut: 5000})
                        }else
                        {
                            $('#submit-btn').attr("disabled",false);
                            $('#submit-btn').html("Update Profile");
                            toastr.error(data.message, 'Error Alert', {timeOut: 5000})
                            if(data.code==401)
                            {
                                window.location.href="<?php echo e(route('login')); ?>"
                            }
                        }
                    }
                })
            }else{
                $('.error-msg').html("The email and password is required")
                $('.error-msg').fadeIn(500)
                $('#submit-btn').attr("disabled",false);
                $('#submit-btn').html("Update Profile");
            }
  

        });

        $('#country_id').change(function(){
            let country_id = $(this).val();
            if(country_id=="")
            {
                $('#state_id').html("<option>Select state</option>");
                $('#city_id').html("<option>Select state</option>");
            }else{
                $('#state_id').html("<option>Loading...</option>");
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('states')); ?>",
                    data:{country_id},
                    success:function(data){
                        if(data.status === 1)
                        {
                            let states = getCityOrStateComponent(data.states,true);
                            $('#state_id').html(states);
                            $('#city_id').html("<option>Select state</option>");
                        }else
                        {
                            toastr.error(data.message, 'Error Alert', {timeOut: 5000})
                        }
                    }
                })
            }
        })

        $('#state_id').change(function(){
            let state_id = $(this).val();
            if(state_id==="")
            {
                $('#city_id').html("<option>Select city</option>");
            }else{
                $('#city_id').html("<option>Loading...</option>");
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('cities')); ?>",
                    data:{state_id},
                    success:function(data){
                        if(data.status === 1)
                        {
                            let cities = getCityOrStateComponent(data.cities,false);
                            $('#city_id').html(cities);
                        }else
                        {
                            toastr.error(data.message, 'Error Alert', {timeOut: 5000})
                        }
                    }
                })
            }
        })

        function getCityOrStateComponent(items,isState)
        {
            if(isState)
            {
                let component = "<option>Select state</option>";
                items.map(function(item){
                 component +=`<option value=${item.State_id}>${item.State_name}</option>`;
                })
                return component;
            }else{
                let component = "<option>Select city</option>";
                items.map(function(item){
                    component +=`<option value=${item.City_id}>${item.City_name}</option>`;
                })
                return component;
            }

        }

        $('#changePasswordForm').submit(function(e){
            let current_password = $('#current_password').val();
            let password = $('#new_password').val();
            let password_confirmation = $('#password_confirmation').val();
            e.preventDefault();

            if(new_password != "" && password != "" && password_confirmation!="")
            {
                $('#change-password-btn').attr("disabled",true);
                $('#change-password-btn').html("Changing...");
                $.ajax({
                    type:'POST',
                    url:"<?php echo e(route('password.change')); ?>",
                    data:{current_password,password,password_confirmation},
                    success:function(data){
                        if(data.status === 1)
                        {
                            toastr.success(data.message, 'Success Alert', {timeOut: 5000})
                            $('#changePasswordForm')[0].reset();
                        }else
                        {
                            toastr.error(data.message, 'Error Alert', {timeOut: 5000})
                            if(data.code==401)
                            {
                                window.location.href="<?php echo e(route('login')); ?>"
                            }
                        }
                        $('#change-password-btn').attr("disabled",false);
                        $('#change-password-btn').html("Change Password");
                    }
                })
            }else{
                toastr.error("Please fill all the fields", 'Error Alert', {timeOut: 5000})
            }
           

        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\wheatbaker\resources\views/user/profile.blade.php ENDPATH**/ ?>