<?php $__env->startSection('styles'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('main-content'); ?>
    <?php echo $__env->make('layouts.sub_banner',['title'=>"Contact","image"=>asset('assets/img/contact_us2.jpg')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Content ================================================== -->
    <div class="container margin_60_35">
        <div class="row" style="padding-left: 15%; padding-right: 10%;">
            <div class="col-md-12 col-sm-12">
                <div class="box_style_2">
                    <h2 style="background: #AE996E" class="inner">Get In Touch</h2>
                    <?php if(session('message')): ?>
                        <div class="alert alert-success" role="alert">
                            <b><?php echo e(session('message')); ?></b>
                        </div>
                    <?php endif; ?>
                    <?php if(session('error')): ?>
                        <div class="alert alert-danger" role="alert">
                            <b><?php echo e(session('error')); ?></b>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                        <div class="col-md-8">
                            <form action="<?php echo e(route('contact')); ?>" method="POST" >
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <input type="text" name="first_name" required maxlength="20" class="form-control"
                                               placeholder="First Name" value="<?php echo e(old('first_name')); ?>">
                                        <span class="text-danger"><?php echo e($errors->first('first_name')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="text" required maxlength="20"
                                               name="last_name"
                                               value="<?php echo e(old('last_name')); ?>"
                                               class="form-control" placeholder="Last Name">
                                        <span class="text-danger"><?php echo e($errors->first('last_name')); ?></span>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <input type="tel" required class="form-control" name="phone_number"
                                               value="<?php echo e(old('phone_number')); ?>"
                                               placeholder="Phone Number">
                                        <span class="text-danger"><?php echo e($errors->first('phone_number')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="email" class="form-control" name="email"
                                               value="<?php echo e(old('email')); ?>"
                                               required placeholder="E-mail Address">
                                        <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                    </div>
                                </div> <br>
                                <div class="row">
                                    <div class="col-md-12">
                                        <textarea style="height: 100%" required  class="form-control" placeholder="Your message"
                                                  name="message"><?php echo e(old('message')); ?></textarea>
                                        <span class="text-danger"><?php echo e($errors->first('message')); ?></span>
                                    </div>

                                </div> <br>

                                <button type="submit" class="btn btn-submit" id="send-btn">SEND</button>
                            </form>
                        </div>

                        <div class="col-md-4">

                            <p style="font-size: 10px;">4 Onitolo Road (Old Lawrence Rd) Ikoyi,<br> Lagos, Nigeria</p>
                            <p style="font-size: 10px;">+ 234(1) 277 3560 +234 1 9067154</p>
                            <p style="font-size: 10px;">For Enquiries <br> enquiries@thewheatbakerlagos.com</p>

                        </div>
                    </div>



                </div><!-- End box_style_1 -->
            </div><!-- End col-md-6 -->
        </div>



    </div>
    </div>
    </div><!-- End row -->
    </div><!-- End container -->
    <!-- End Content =============================================== -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\wheatbaker\resources\views/contact.blade.php ENDPATH**/ ?>